support_rule_list
List this product’s delivery rules, newest first, optionally narrowed to one survey, to the live or switched-off ones, or to the rules that apply to a given page URL and device.
List this product’s delivery rules, newest first, optionally narrowed to one survey, to the live or switched-off ones, or to the rules that apply to a given page URL and device. This is the same answer a client’s runtime fetches through the public edge, where a URL is required and only live rules on published surveys are visible
Behavior
- HTTP
GET /support/rules
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | — | Only rules whose URL match applies to this page URL |
| limit | integer | — | Page size, 1..100 (default 25) |
| device | string | — | The device the page is rendered on. Without it only rules targeting any device match |
| offset | integer | — | Number of rules to skip |
| enabled | boolean | — | true: only live rules. false: only switched-off ones |
| surveyId | string | — | Only rules delivering this survey |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| limit | integer | • | Page size that was applied |
| rules | array | • | The requested page of rules, newest first |
| offset | integer | • | Offset that was applied |
Try it
List this product’s delivery rules, newest first, optionally narrowed to one survey, to the live or switched-off ones, or to the rules that apply to a given page URL and device.